import SessionManagerFactory from "./SessionManagerFactory.ts";
import MemorySessionManager from "./MemorySessionManager.ts";

export default class MemorySessionManagerFactory extends SessionManagerFactory {
    produce(dependencies: any[], parameters: any[]): any {
        return new MemorySessionManager()
    }
}
