import {Join} from './Join.ts'
import {JoinOperator} from '../../types.ts'

export class CrossJoin extends Join {
    public readonly operator: JoinOperator = 'CROSS JOIN'

    sql(level = 0): string {
        const indent = Array(level * 2).fill(' ').join('')
        return [
            `${this.operator} ${this.serialize_table_ref(this.table_ref)}`,
        ].filter(Boolean).join(`\n${indent}`)
    }
}
